#ifndef SBK_KXMLGUIBuilderWrapper_H
#define SBK_KXMLGUIBuilderWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kxmlguibuilder.h>

class KXMLGUIBuilderWrapper : public KXMLGUIBuilder
{
public:
    KXMLGUIBuilderWrapper(const KXMLGUIBuilderWrapper &) = delete;
    KXMLGUIBuilderWrapper& operator=(const KXMLGUIBuilderWrapper &) = delete;
    KXMLGUIBuilderWrapper(KXMLGUIBuilderWrapper &&) = delete;
    KXMLGUIBuilderWrapper& operator=(KXMLGUIBuilderWrapper &&) = delete;

    KXMLGUIBuilderWrapper(::QWidget * widget);
    ::QStringList containerTags() const override;
    ::QStringList customTags() const override;
    void finalizeGUI(::KXMLGUIClient * client) override;
    ~KXMLGUIBuilderWrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[3];
};

#endif // SBK_KXMLGUIBuilderWrapper_H

